Page MenuHomePhabricator

Reruns of an old job should autodetect chunk and page range settings
Closed, ResolvedPublic

Description

Currently if we rerun a job from an old dump (not an ancient dump, but old = since parallelized jobs became possible in September 2010), the config file it uses has to be edited by hand to make sure the chunk information is correct. This information should be autodetected; perhaps it should be written down at the time of the initial run.


Version: unspecified
Severity: enhancement

Details

Reference
bz27125

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:23 PM
bzimport set Reference to bz27125.

Ariel, still current?

ArielGlenn set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 11:53 AM
ArielGlenn moved this task from Backlog to Up Next on the Dumps-Generation board.Nov 9 2015, 10:18 AM
ArielGlenn moved this task from Up Next to Backlog on the Dumps-Generation board.Nov 23 2015, 2:18 PM
ArielGlenn changed Security from None to Other confidential issue.Feb 23 2016, 12:11 PM
Restricted Application changed the visibility from "Public (No Login Required)" to "Custom Policy". · View Herald TranscriptFeb 23 2016, 12:11 PM
Restricted Application changed the edit policy from "All Users" to "Custom Policy". · View Herald Transcript
Restricted Application added a project: WMF-NDA. · View Herald Transcript
ArielGlenn changed the visibility from "Custom Policy" to "Public (No Login Required)".Feb 23 2016, 12:22 PM
ArielGlenn changed the edit policy from "Custom Policy" to "All Users".
ArielGlenn changed Security from Other confidential issue to None.
ArielGlenn closed this task as Resolved.Feb 28 2016, 9:03 PM

changeset updated, tested and merged. There may be other settings we want to cache as well but those can be identified and listed in another ticket when/if the time comes.

ArielGlenn moved this task from Active to Done on the Dumps-Generation board.Feb 28 2016, 9:03 PM